Bug 1656022 - [RFE] Review the API Guide for grammar and style
Summary: [RFE] Review the API Guide for grammar and style
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Documentation
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Released
Assignee: Sergei Petrosian
QA Contact: satellite-doc-list
URL:
Whiteboard:
Depends On: 1654766 1655506 1656853 1660731 1661093 1661096
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-04 13:32 UTC by Andrew Dahms
Modified: 2019-10-07 16:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-04 10:42:10 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Andrew Dahms 2018-12-04 13:32:06 UTC
This bug is a tracker for reviewing each chapter and section of the API Guide for grammar and style concerns.

Comment 2 dvoss 2019-02-01 18:54:38 UTC
Sergei,
In looking at the related items, this work looks completed. Can you confirm that all the dependent chapters have been reviewed?


Thanks in advance,

David

Comment 3 Sergei Petrosian 2019-02-04 10:42:10 UTC
HI David,

Yes, the work with the API guide is complete. This what was done to improve it within these bugs:

Make it consistent, well-structured, easy to read
Prepare it for adding target customer scenarios
Remove repeated staff
Remove passive voice
Split command blocks into Example request and Example response
Add more examples
Clear formatting

I am closing this bug.

Thank you


Note You need to log in before you can comment on or make changes to this bug.